Bug 208158

Summary: [exp-run] Update libc++ in base to 3.8.0 release
Product: Ports & Packages Reporter: Dimitry Andric <dim>
Component: Ports FrameworkAssignee: Dimitry Andric <dim>
Status: Closed FIXED    
Severity: Affects Many People CC: bdrewery, dev2, emaste, jbeich, portmgr, sunpoet
Priority: --- Flags: dim: exp-run?
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210991
Bug Depends on: 208175, 208270, 208467, 208468, 208469, 208486, 208488, 208489, 208490, 208491, 208523, 208525, 208526, 208528, 208533, 208621, 208622, 208715, 208725, 208727, 208754, 208757, 208841, 208842, 208843, 208844, 208845, 208905, 208908, 209017, 209019, 209077, 209094, 209097, 209100, 209101, 209103, 209108, 209110, 209332, 209333, 209369, 209372, 209406, 209549, 209561, 209588, 209590, 209591, 209612, 209614, 209652, 209675, 209686, 209692, 209694, 209722, 209921    
Bug Blocks: 212343    
Attachments:
Description Flags
Update libc++ in base to 3.8.0 release
none
Update libc++ in base to 3.8.0 release, rebased to head r298620 none

Description Dimitry Andric freebsd_committer 2016-03-20 14:25:33 UTC
Created attachment 168424 [details]
Update libc++ in base to 3.8.0 release

As a follow-up to the import of clang 3.8.0 into base, I would like to update libc++ in base to 3.8.0 too.  Please do an exp-run with this patch, to see if there are any port regressions on head.

The patch should apply cleanly on head r297052, using:

xzcat update-libcxx-380-1.diff.xz | patch -p1 -f -F0 -E
Comment 1 Dimitry Andric freebsd_committer 2016-03-21 10:16:28 UTC
Created bug 208175 to fix security/gnutls.  This should be applied before the exp-run, since quite a lot depends on gnutls.
Comment 2 Dimitry Andric freebsd_committer 2016-03-23 19:20:32 UTC
Not sure if the exp-run was already started, but I committed a fix for stdlib.h in head r297212 [1], which ensures llabs(), lldiv() etc are also defined for C++.  This fix is required for C++ programs which include stdlib.h from the new libc++ include directory, since it uses llabs() and lldiv() to define overloaded abs() and div() functions in the std:: namespace.

This makes e.g. harfbuzz compile, which is a dependency of gtk, and therefore of a lot of other ports.

[1] https://svnweb.freebsd.org/changeset/base/297212
Comment 3 Antoine Brodin freebsd_committer 2016-03-24 09:20:09 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR208158-default&build=2016-03-22_18h30m05s

New failures on amd64:

+ {"origin"=>"audio/milkytracker", "pkgname"=>"milkytracker-0.90.86_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/taglookup", "pkgname"=>"taglookup-0.2_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"benchmarks/iperf", "pkgname"=>"iperf-2.0.5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"chinese/sunpinyin", "pkgname"=>"zh-sunpinyin-2.0.4.r3", "phase"=>"stage", "errortype"=>"coredump"}
+ {"origin"=>"comms/telldus-core", "pkgname"=>"telldus-core-2.1.2_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/db48", "pkgname"=>"db48-4.8.30.0_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"databases/firebird25-client", "pkgname"=>"firebird25-client-2.5.4_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mysql57-server", "pkgname"=>"mysql57-server-5.7.10_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/postgresql-plv8js", "pkgname"=>"postgresql93-plv8js-1.4.4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/xapian-bindings", "pkgname"=>"xapian-bindings-1.2.22", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/boost-python-libs", "pkgname"=>"boost-python-libs-1.55.0", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/ddd", "pkgname"=>"ddd-3.3.12_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/libdap", "pkgname"=>"libdap-3.17.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libhoard", "pkgname"=>"libhoard-3.10", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/llvm-devel", "pkgname"=>"llvm-devel-3.9.d20160216", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/llvm37", "pkgname"=>"llvm37-3.7.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/llvm38", "pkgname"=>"llvm38-3.8.0_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/obby", "pkgname"=>"obby-0.4.8_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/pire", "pkgname"=>"pire-0.0.5_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/py-ice", "pkgname"=>"py27-Ice-3.6.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/py-mwlib", "pkgname"=>"py27-mwlib-0.15.14_6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/py-pydoop", "pkgname"=>"py27-pydoop-1.1.0", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/py-tinyarray", "pkgname"=>"py27-tinyarray-1.1.0", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/pypersrc", "pkgname"=>"pypersrc-20120106_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/qross", "pkgname"=>"qross-0.3.1_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/shiboken", "pkgname"=>"shiboken-1.2.2_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"dns/bundy", "pkgname"=>"bundy-0.20160125_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"dns/powerdns", "pkgname"=>"powerdns-3.4.8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/hte", "pkgname"=>"hte-2.1.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/gem5", "pkgname"=>"gem5-0.0.20140422", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"ftp/lftp", "pkgname"=>"lftp-4.6.5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/assaultcube", "pkgname"=>"assaultcube-1.2.0.2_4", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"games/edge", "pkgname"=>"edge-1.35_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/el", "pkgname"=>"el-193_5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/kuklomenos", "pkgname"=>"kuklomenos-0.4.5_4", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"games/py-fife", "pkgname"=>"py27-fife-0.3.5_5", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/cuneiform", "pkgname"=>"cuneiform-1.1.0_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/gource", "pkgname"=>"gource-0.43_1", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_12", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/opencollada", "pkgname"=>"opencollada-1.2.2.20150519", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/opencolorio", "pkgname"=>"opencolorio-1.0.9", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/py-gdal", "pkgname"=>"py27-gdal-2.0.2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/py-opencv", "pkgname"=>"py27-opencv-2.4.9_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/py-openexr", "pkgname"=>"py27-openexr-1.2.0_6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/seexpr", "pkgname"=>"seexpr-1.0.1.2015.08.29_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/tulip", "pkgname"=>"tulip-4.8.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/beignet", "pkgname"=>"beignet-1.1.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/nlopt", "pkgname"=>"nlopt-2.4.2_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/py-cryptominisat", "pkgname"=>"py27-cryptominisat-4.5.3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/py-graphillion", "pkgname"=>"py27-graphillion-0.99", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/ufc", "pkgname"=>"ufc-2.2.0_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"misc/bdelta", "pkgname"=>"bdelta-0.1.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vdr", "pkgname"=>"vdr-1.7.29_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/mosh", "pkgname"=>"mosh-1.2.5", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"net/ns3", "pkgname"=>"ns3-3.24.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/opal", "pkgname"=>"opal-3.10.10_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/harfbuzz", "pkgname"=>"harfbuzz-1.2.3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"print/scribus", "pkgname"=>"scribus-1.4.6_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/openbabel", "pkgname"=>"openbabel-2.3.2_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/pulseview", "pkgname"=>"pulseview-0.2.0_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/py-pyteomics.biolccc", "pkgname"=>"py27-pyteomics.biolccc-1.5.0", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/py-scimath", "pkgname"=>"py27-scimath-4.1.2_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/py-scipy", "pkgname"=>"py27-scipy-0.16.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/veusz", "pkgname"=>"veusz-1.19.1_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"security/hpenc", "pkgname"=>"hpenc-2.0_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/py-pycryptopp", "pkgname"=>"py27-pycryptopp-0.5.29_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/afflib", "pkgname"=>"afflib-3.7.6", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"textproc/htdig", "pkgname"=>"htdig-3.2.0.b6_6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/irstlm", "pkgname"=>"irstlm-5.80.03_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/luceneplusplus", "pkgname"=>"lucene++-3.0.7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/node", "pkgname"=>"node-5.9.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node-devel", "pkgname"=>"node-devel-5.0.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node012", "pkgname"=>"node012-0.12.9", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/node4", "pkgname"=>"node4-4.3.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/py-fltk", "pkgname"=>"py27-fltk-1.3.3.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11/fbdesk", "pkgname"=>"fbdesk-1.4.1_6", "phase"=>"build", "errortype"=>"???"}

Failure logs on amd64:

http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/milkytracker-0.90.86_3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/taglookup-0.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/iperf-2.0.5.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/zh-sunpinyin-2.0.4.r3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/telldus-core-2.1.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/db48-4.8.30.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/firebird25-client-2.5.4_3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/mysql57-server-5.7.10_3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/postgresql93-plv8js-1.4.4.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/xapian-bindings-1.2.22.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/boost-python-libs-1.55.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/ddd-3.3.12_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/libdap-3.17.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/libhoard-3.10.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/llvm-devel-3.9.d20160216.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/llvm37-3.7.1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/llvm38-3.8.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/obby-0.4.8_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/pire-0.0.5_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-Ice-3.6.1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-mwlib-0.15.14_6.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-pydoop-1.1.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-tinyarray-1.1.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/pypersrc-20120106_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/qross-0.3.1_3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/shiboken-1.2.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/bundy-0.20160125_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/powerdns-3.4.8.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/hte-2.1.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/gem5-0.0.20140422.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/lftp-4.6.5.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/assaultcube-1.2.0.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/edge-1.35_6.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/el-193_5.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/kuklomenos-0.4.5_4.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-fife-0.3.5_5.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/cuneiform-1.1.0_4.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/gource-0.43_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/inventor-2.1.5.p10_12.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/opencollada-1.2.2.20150519.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/opencolorio-1.0.9.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-gdal-2.0.2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-opencv-2.4.9_3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-openexr-1.2.0_6.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/seexpr-1.0.1.2015.08.29_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/tulip-4.8.1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/beignet-1.1.1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/nlopt-2.4.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-cryptominisat-4.5.3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-graphillion-0.99.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/ufc-2.2.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/bdelta-0.1.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/vdr-1.7.29_6.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/mosh-1.2.5.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/ns3-3.24.1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/opal-3.10.10_9.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/harfbuzz-1.2.3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/scribus-1.4.6_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/openbabel-2.3.2_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/pulseview-0.2.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-pyteomics.biolccc-1.5.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-scimath-4.1.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-scipy-0.16.1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/veusz-1.19.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/hpenc-2.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-pycryptopp-0.5.29_3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/afflib-3.7.6.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/htdig-3.2.0.b6_6.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/irstlm-5.80.03_4.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/lucene++-3.0.7.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/node-5.9.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/node-devel-5.0.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/node012-0.12.9.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/node4-4.3.1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/py27-fltk-1.3.3.1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/fbdesk-1.4.1_6.log
Comment 4 Antoine Brodin freebsd_committer 2016-03-24 09:24:13 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR208158-default&build=2016-03-24_06h06m06s

New failures on i386:

+ {"origin"=>"astro/gpsbabel", "pkgname"=>"gpsbabel-1.5.2_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/milkytracker", "pkgname"=>"milkytracker-0.90.86_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/taglookup", "pkgname"=>"taglookup-0.2_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"benchmarks/iperf", "pkgname"=>"iperf-2.0.5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"chinese/sunpinyin", "pkgname"=>"zh-sunpinyin-2.0.4.r3", "phase"=>"stage", "errortype"=>"coredump"}
+ {"origin"=>"comms/telldus-core", "pkgname"=>"telldus-core-2.1.2_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/db48", "pkgname"=>"db48-4.8.30.0_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"databases/firebird25-client", "pkgname"=>"firebird25-client-2.5.4_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/mysql57-server", "pkgname"=>"mysql57-server-5.7.10_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/postgresql-plv8js", "pkgname"=>"postgresql93-plv8js-1.4.4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/xapian-bindings", "pkgname"=>"xapian-bindings-1.2.22", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/boost-python-libs", "pkgname"=>"boost-python-libs-1.55.0", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/ddd", "pkgname"=>"ddd-3.3.12_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/libdap", "pkgname"=>"libdap-3.17.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/libhoard", "pkgname"=>"libhoard-3.10", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/llvm-devel", "pkgname"=>"llvm-devel-3.9.d20160216", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/llvm37", "pkgname"=>"llvm37-3.7.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/llvm38", "pkgname"=>"llvm38-3.8.0_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/obby", "pkgname"=>"obby-0.4.8_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/pire", "pkgname"=>"pire-0.0.5_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/py-ice", "pkgname"=>"py27-Ice-3.6.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/py-mwlib", "pkgname"=>"py27-mwlib-0.15.14_6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/py-pydoop", "pkgname"=>"py27-pydoop-1.1.0", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/py-tinyarray", "pkgname"=>"py27-tinyarray-1.1.0", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/pypersrc", "pkgname"=>"pypersrc-20120106_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/qross", "pkgname"=>"qross-0.3.1_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"devel/shiboken", "pkgname"=>"shiboken-1.2.2_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"dns/bundy", "pkgname"=>"bundy-0.20160125_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"dns/powerdns", "pkgname"=>"powerdns-3.4.8", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/hte", "pkgname"=>"hte-2.1.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"ftp/lftp", "pkgname"=>"lftp-4.6.5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/assaultcube", "pkgname"=>"assaultcube-1.2.0.2_4", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"games/edge", "pkgname"=>"edge-1.35_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/el", "pkgname"=>"el-193_5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/kuklomenos", "pkgname"=>"kuklomenos-0.4.5_4", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"games/py-fife", "pkgname"=>"py27-fife-0.3.5_5", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/cuneiform", "pkgname"=>"cuneiform-1.1.0_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/gource", "pkgname"=>"gource-0.43_1", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"graphics/inventor", "pkgname"=>"inventor-2.1.5.p10_12", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/opencollada", "pkgname"=>"opencollada-1.2.2.20150519", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/opencolorio", "pkgname"=>"opencolorio-1.0.9", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/py-gdal", "pkgname"=>"py27-gdal-2.0.2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/py-opencv", "pkgname"=>"py27-opencv-2.4.9_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/py-openexr", "pkgname"=>"py27-openexr-1.2.0_6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/seexpr", "pkgname"=>"seexpr-1.0.1.2015.08.29_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/tulip", "pkgname"=>"tulip-4.8.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"lang/beignet", "pkgname"=>"beignet-1.1.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/nlopt", "pkgname"=>"nlopt-2.4.2_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/py-cryptominisat", "pkgname"=>"py27-cryptominisat-4.5.3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/py-graphillion", "pkgname"=>"py27-graphillion-0.99", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"math/ufc", "pkgname"=>"ufc-2.2.0_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"misc/bdelta", "pkgname"=>"bdelta-0.1.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/mosh", "pkgname"=>"mosh-1.2.5", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"net/ns3", "pkgname"=>"ns3-3.24.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"net/opal", "pkgname"=>"opal-3.10.10_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/harfbuzz", "pkgname"=>"harfbuzz-1.2.3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"print/scribus", "pkgname"=>"scribus-1.4.6_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/openbabel", "pkgname"=>"openbabel-2.3.2_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/pulseview", "pkgname"=>"pulseview-0.2.0_2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/py-pyteomics.biolccc", "pkgname"=>"py27-pyteomics.biolccc-1.5.0", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/py-scimath", "pkgname"=>"py27-scimath-4.1.2_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/py-scipy", "pkgname"=>"py27-scipy-0.16.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"science/veusz", "pkgname"=>"veusz-1.19.1_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"security/hpenc", "pkgname"=>"hpenc-2.0_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/py-pycryptopp", "pkgname"=>"py27-pycryptopp-0.5.29_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"sysutils/afflib", "pkgname"=>"afflib-3.7.6", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"textproc/htdig", "pkgname"=>"htdig-3.2.0.b6_6", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"textproc/irstlm", "pkgname"=>"irstlm-5.80.03_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/luceneplusplus", "pkgname"=>"lucene++-3.0.7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/node", "pkgname"=>"node-5.9.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node-devel", "pkgname"=>"node-devel-5.0.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/node012", "pkgname"=>"node012-0.12.9", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/node4", "pkgname"=>"node4-4.3.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/py-fltk", "pkgname"=>"py27-fltk-1.3.3.1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11/fbdesk", "pkgname"=>"fbdesk-1.4.1_6", "phase"=>"build", "errortype"=>"???"}

Failure logs on i386:

http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/gpsbabel-1.5.2_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/milkytracker-0.90.86_3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/taglookup-0.2_3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/iperf-2.0.5.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/zh-sunpinyin-2.0.4.r3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/telldus-core-2.1.2_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/db48-4.8.30.0_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/firebird25-client-2.5.4_3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/mysql57-server-5.7.10_3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/postgresql93-plv8js-1.4.4.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/xapian-bindings-1.2.22.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/boost-python-libs-1.55.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/ddd-3.3.12_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/libdap-3.17.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/libhoard-3.10.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/llvm-devel-3.9.d20160216.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/llvm37-3.7.1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/llvm38-3.8.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/obby-0.4.8_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/pire-0.0.5_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-Ice-3.6.1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-mwlib-0.15.14_6.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-pydoop-1.1.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-tinyarray-1.1.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/pypersrc-20120106_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/qross-0.3.1_3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/shiboken-1.2.2_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/bundy-0.20160125_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/powerdns-3.4.8.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/hte-2.1.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/lftp-4.6.5.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/assaultcube-1.2.0.2_4.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/edge-1.35_6.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/el-193_5.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/kuklomenos-0.4.5_4.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-fife-0.3.5_5.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/cuneiform-1.1.0_4.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/gource-0.43_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/inventor-2.1.5.p10_12.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/opencollada-1.2.2.20150519.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/opencolorio-1.0.9.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-gdal-2.0.2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-opencv-2.4.9_3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-openexr-1.2.0_6.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/seexpr-1.0.1.2015.08.29_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/tulip-4.8.1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/beignet-1.1.1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/nlopt-2.4.2_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-cryptominisat-4.5.3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-graphillion-0.99.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/ufc-2.2.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/bdelta-0.1.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/mosh-1.2.5.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/ns3-3.24.1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/opal-3.10.10_9.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/harfbuzz-1.2.3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/scribus-1.4.6_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/openbabel-2.3.2_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/pulseview-0.2.0_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-pyteomics.biolccc-1.5.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-scimath-4.1.2_3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-scipy-0.16.1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/veusz-1.19.1_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/hpenc-2.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-pycryptopp-0.5.29_3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/afflib-3.7.6.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/htdig-3.2.0.b6_6.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/irstlm-5.80.03_4.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/lucene++-3.0.7.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/node-5.9.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/node-devel-5.0.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/node012-0.12.9.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/node4-4.3.1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/py27-fltk-1.3.3.1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-03-24_06h06m06s/logs/errors/fbdesk-1.4.1_6.log
Comment 5 Dimitry Andric freebsd_committer 2016-03-24 22:51:36 UTC
Submitted bug 208270 for www/node.  Other node ports are probably similarly affected, I'll add patches for those to the same bug.
Comment 6 Dimitry Andric freebsd_committer 2016-04-02 16:48:36 UTC
Submitted bug 208467 for www/node-devel, www/node012 and www/node4.
Comment 7 Dimitry Andric freebsd_committer 2016-04-02 17:15:14 UTC
Submitted bug 208468 for multimedia/vdr.
Comment 8 Dimitry Andric freebsd_committer 2016-04-02 18:03:18 UTC
Submitted bug 208469 for databases/firebird25-client and databases/firebird25-server.
Comment 9 Dimitry Andric freebsd_committer 2016-04-03 17:51:43 UTC
Submitted bug 208486 for fixing the pyport.h headers installed by the Python ports.  This should fix all the ports that use pyport.h.
Comment 10 Dimitry Andric freebsd_committer 2016-04-03 18:56:47 UTC
Submitted bug 208488 for databases/db48.
Comment 11 Dimitry Andric freebsd_committer 2016-04-03 19:19:21 UTC
Submitted bug 208489 for audio/milkytracker.
Comment 12 Dimitry Andric freebsd_committer 2016-04-03 19:50:48 UTC
Submitted bug 208490 for audio/taglookup.
Comment 13 Dimitry Andric freebsd_committer 2016-04-03 20:05:33 UTC
Submitted bug 208491 for benchmarks/iperf.
Comment 14 Dimitry Andric freebsd_committer 2016-04-04 18:36:16 UTC
Submitted bug 208523 for comms/telldus-core.
Comment 15 Dimitry Andric freebsd_committer 2016-04-04 18:41:36 UTC
Submitted bug 208525 for databases/mysql57-server.
Comment 16 Dimitry Andric freebsd_committer 2016-04-04 18:56:12 UTC
Submitted bug 208526 for databases/postgresql-plv8js.
Comment 17 Dimitry Andric freebsd_committer 2016-04-04 19:40:13 UTC
Submitted bug 208528 for devel/ddd.
Comment 18 Dimitry Andric freebsd_committer 2016-04-04 20:52:12 UTC
Submitted bug 208533 for devel/libdap.
Comment 19 Dimitry Andric freebsd_committer 2016-04-07 22:00:37 UTC
Submitted bug 208621 for devel/libhoard.
Comment 20 Dimitry Andric freebsd_committer 2016-04-07 22:13:41 UTC
Submitted bug 208622 for devel/obby.
Comment 21 Dimitry Andric freebsd_committer 2016-04-11 18:35:38 UTC
Submitted bug 208715 for devel/pire.
Comment 22 Dimitry Andric freebsd_committer 2016-04-11 18:41:42 UTC
Submitted bug 208725 for dns/powerdns.
Comment 23 Dimitry Andric freebsd_committer 2016-04-11 20:05:50 UTC
Submitted bug 208727 for ftp/lftp.
Comment 24 Dimitry Andric freebsd_committer 2016-04-12 18:54:56 UTC
Submitted bug 208754 for games/assaultcube.
Comment 25 Dimitry Andric freebsd_committer 2016-04-12 20:12:53 UTC
Submitted bug 208757 for games/edge.
Comment 26 Dimitry Andric freebsd_committer 2016-04-16 20:11:36 UTC
Submitted bug 208841 for games/el.
Comment 27 Dimitry Andric freebsd_committer 2016-04-16 20:12:39 UTC
Btw, any idea what we can do to speed up the Python fixes?  There hasn't been any response on them.  Do we need a separate exp-run for them?
Comment 28 Dimitry Andric freebsd_committer 2016-04-16 20:28:01 UTC
Submitted bug 208842 for games/kuklomenos.
Comment 29 Dimitry Andric freebsd_committer 2016-04-16 20:38:51 UTC
Submitted bug 208843 for graphics/cuneiform.
Comment 30 Dimitry Andric freebsd_committer 2016-04-16 20:50:07 UTC
Submitted bug 208844 for graphics/gource.
Comment 31 Dimitry Andric freebsd_committer 2016-04-16 21:28:49 UTC
Submitted bug 208845 for graphics/inventor.
Comment 32 Dimitry Andric freebsd_committer 2016-04-18 19:34:27 UTC
Submitted bug 208905 for graphics/opencollada.
Comment 33 Dimitry Andric freebsd_committer 2016-04-18 20:15:52 UTC
Submitted bug 208908 for lang/beignet.
Comment 34 Dimitry Andric freebsd_committer 2016-04-24 19:40:05 UTC
Submitted bug 209017 for misc/bdelta.
Comment 35 Dimitry Andric freebsd_committer 2016-04-24 20:57:30 UTC
Submitted bug 209019 for net/mosh.
Comment 36 Dimitry Andric freebsd_committer 2016-04-26 18:56:53 UTC
Submitted bug 209077 for net/opal.
Comment 37 Dimitry Andric freebsd_committer 2016-04-27 12:04:06 UTC
Submitted bug 209094 for science/veusz.
Comment 38 Dimitry Andric freebsd_committer 2016-04-27 12:42:08 UTC
Submitted bug 209097 for security/hpenc.
Comment 39 Dimitry Andric freebsd_committer 2016-04-27 16:53:30 UTC
Submitted bug 209100 for sysutils/afflib.
Comment 40 Dimitry Andric freebsd_committer 2016-04-27 17:02:00 UTC
I tried reproducing the error from textproc/htdig, but it gives the same error with both the old and the new libc++.  This is an unrelated bug in the port itself.
Comment 41 Dimitry Andric freebsd_committer 2016-04-27 17:15:32 UTC
Submitted bug 209101 for textproc/htdig (no dependency, though).
Comment 42 Dimitry Andric freebsd_committer 2016-04-27 17:50:25 UTC
Submitted bug 209103 for textproc/irstlm.
Comment 43 Dimitry Andric freebsd_committer 2016-04-27 18:03:33 UTC
Submitted bug 209108 for x11/fbdesk.
Comment 44 Dimitry Andric freebsd_committer 2016-04-27 19:32:54 UTC
Submitted bug 209110 for textproc/luceneplusplus.
Comment 45 Dimitry Andric freebsd_committer 2016-04-27 20:09:24 UTC
Antoine, I think another exp-run might be nice now, since the pyport.h issue and more than half of the other bugs have been fixed.
Comment 46 Dimitry Andric freebsd_committer 2016-04-28 20:36:55 UTC
Created attachment 169792 [details]
Update libc++ in base to 3.8.0 release, rebased to head r298620
Comment 47 Antoine Brodin freebsd_committer 2016-05-04 15:07:07 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR208158-default&build=2016-05-01_10h29m48s

New failures on amd64:

+ {"origin"=>"audio/ardour", "pkgname"=>"ardour-2.8.16_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/calf", "pkgname"=>"calf-0.0.60_1", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"biology/ugene", "pkgname"=>"ugene-1.22.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"chinese/sunpinyin", "pkgname"=>"zh-sunpinyin-2.0.4.r3", "phase"=>"stage", "errortype"=>"coredump"}
+ {"origin"=>"comms/svxlink", "pkgname"=>"svxlink-15.11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"deskutils/easystroke", "pkgname"=>"easystroke-0.6.0_2", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"deskutils/plasma-applet-playwolf", "pkgname"=>"plasma-applet-playwolf-0.8.1_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/upp", "pkgname"=>"upp-9251_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/hte", "pkgname"=>"hte-2.1.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/kate", "pkgname"=>"kate-4.14.3_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/openoffice-4", "pkgname"=>"apache-openoffice-4.1.2_5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/openoffice-devel", "pkgname"=>"apache-openoffice-devel-4.2.1735889_1,4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/qemu-sbruno", "pkgname"=>"qemu-sbruno-2.5.93.g20160428", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/qemu-user-static", "pkgname"=>"qemu-user-static-2.5.93.g20160428", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/chromium-bsu", "pkgname"=>"chromium-bsu-0.9.15.1_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/trackballs", "pkgname"=>"trackballs-1.1.4_21", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/blender", "pkgname"=>"blender-2.76b_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/embree", "pkgname"=>"embree-2.7.0_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/inkscape", "pkgname"=>"inkscape-0.91_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/opencollada", "pkgname"=>"opencollada-1.2.2.20150519", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/ufraw", "pkgname"=>"ufraw-0.22_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/beignet", "pkgname"=>"beignet-1.1.1_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/octave", "pkgname"=>"octave-4.0.0_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/bino", "pkgname"=>"bino-1.4.2_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/k9copy-kde4", "pkgname"=>"k9copy-2.3.4_14", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/kdenlive", "pkgname"=>"kdenlive-0.9.10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/mpeg4ip", "pkgname"=>"mpeg4ip-1.6.1_33", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/subtitlecomposer-kde4", "pkgname"=>"subtitlecomposer-0.5.7_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vlc", "pkgname"=>"vlc-2.2.1_8,4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vlc-qt4", "pkgname"=>"vlc-qt4-2.2.1_8,4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/kmess-kde4", "pkgname"=>"kmess-2.0.6.2_11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/libqtelegram-ae", "pkgname"=>"libqtelegram-ae-6.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/mosh", "pkgname"=>"mosh-1.2.5", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"net/opal", "pkgname"=>"opal-3.10.10_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/gchemutils", "pkgname"=>"gchemutils-0.14.10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/veusz", "pkgname"=>"veusz-1.19.1_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"textproc/luceneplusplus", "pkgname"=>"lucene++-3.0.7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/webkit2-gtk3", "pkgname"=>"webkit2-gtk3-2.8.5_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-themes/kde4-style-polyester", "pkgname"=>"kde4-style-polyester-2.0.0_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/gtkmathview", "pkgname"=>"gtkmathview-0.8.0_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/wxgtk30", "pkgname"=>"wx30-gtk2-3.0.2_4", "phase"=>"build", "errortype"=>"???"}

Failure logs:

http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/ardour-2.8.16_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/calf-0.0.60_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/ugene-1.22.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/zh-sunpinyin-2.0.4.r3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/svxlink-15.11.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/easystroke-0.6.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/plasma-applet-playwolf-0.8.1_6.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/upp-9251_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/hte-2.1.0.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/kate-4.14.3_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/apache-openoffice-4.1.2_5.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/apache-openoffice-devel-4.2.1735889_1,4.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/qemu-sbruno-2.5.93.g20160428.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/qemu-user-static-2.5.93.g20160428.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/chromium-bsu-0.9.15.1_4.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/trackballs-1.1.4_21.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/blender-2.76b_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/embree-2.7.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/inkscape-0.91_6.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/opencollada-1.2.2.20150519.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/ufraw-0.22_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/beignet-1.1.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/octave-4.0.0_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/bino-1.4.2_3.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/k9copy-2.3.4_14.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/kdenlive-0.9.10.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/mpeg4ip-1.6.1_33.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/subtitlecomposer-0.5.7_1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/vlc-2.2.1_8,4.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/vlc-qt4-2.2.1_8,4.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/kmess-2.0.6.2_11.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/libqtelegram-ae-6.1.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/mosh-1.2.5.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/opal-3.10.10_9.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/gchemutils-0.14.10.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/veusz-1.19.1_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/lucene++-3.0.7.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/webkit2-gtk3-2.8.5_2.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/kde4-style-polyester-2.0.0_9.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/gtkmathview-0.8.0_9.log
http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-05-01_10h29m48s/logs/errors/wx30-gtk2-3.0.2_4.log
Comment 48 Antoine Brodin freebsd_committer 2016-05-04 15:10:22 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386PR208158-default&build=2016-05-02_20h35m21s

New failures on i386:

+ {"origin"=>"astro/boinc-astropulse", "pkgname"=>"boinc-astropulse-6.01_11", "phase"=>"build", "errortype"=>"assumes_gcc"}
+ {"origin"=>"astro/gpsbabel", "pkgname"=>"gpsbabel-1.5.2_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"audio/ardour", "pkgname"=>"ardour-2.8.16_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/calf", "pkgname"=>"calf-0.0.60_1", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"biology/ugene", "pkgname"=>"ugene-1.22.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"chinese/sunpinyin", "pkgname"=>"zh-sunpinyin-2.0.4.r3", "phase"=>"stage", "errortype"=>"coredump"}
+ {"origin"=>"comms/svxlink", "pkgname"=>"svxlink-15.11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"deskutils/easystroke", "pkgname"=>"easystroke-0.6.0_2", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"deskutils/plasma-applet-playwolf", "pkgname"=>"plasma-applet-playwolf-0.8.1_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/spark", "pkgname"=>"apache-spark-1.6.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/upp", "pkgname"=>"upp-9251_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/hte", "pkgname"=>"hte-2.1.0", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/kate", "pkgname"=>"kate-4.14.3_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/openoffice-4", "pkgname"=>"apache-openoffice-4.1.2_5", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/openoffice-devel", "pkgname"=>"apache-openoffice-devel-4.2.1735889_1,4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/chromium-bsu", "pkgname"=>"chromium-bsu-0.9.15.1_4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/trackballs", "pkgname"=>"trackballs-1.1.4_21", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/blender", "pkgname"=>"blender-2.76b_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/embree", "pkgname"=>"embree-2.7.0_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/inkscape", "pkgname"=>"inkscape-0.91_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/opencollada", "pkgname"=>"opencollada-1.2.2.20150519", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/ufraw", "pkgname"=>"ufraw-0.22_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/beignet", "pkgname"=>"beignet-1.1.1_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/octave", "pkgname"=>"octave-4.0.0_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/bino", "pkgname"=>"bino-1.4.2_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/k9copy-kde4", "pkgname"=>"k9copy-2.3.4_14", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/kdenlive", "pkgname"=>"kdenlive-0.9.10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/mpeg4ip", "pkgname"=>"mpeg4ip-1.6.1_33", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/subtitlecomposer-kde4", "pkgname"=>"subtitlecomposer-0.5.7_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vlc", "pkgname"=>"vlc-2.2.1_8,4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"multimedia/vlc-qt4", "pkgname"=>"vlc-qt4-2.2.1_8,4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/kmess-kde4", "pkgname"=>"kmess-2.0.6.2_11", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/libqtelegram-ae", "pkgname"=>"libqtelegram-ae-6.1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/mosh", "pkgname"=>"mosh-1.2.5", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"net/opal", "pkgname"=>"opal-3.10.10_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/gchemutils", "pkgname"=>"gchemutils-0.14.10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/veusz", "pkgname"=>"veusz-1.19.1_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"textproc/luceneplusplus", "pkgname"=>"lucene++-3.0.7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/webkit2-gtk3", "pkgname"=>"webkit2-gtk3-2.8.5_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-themes/kde4-style-polyester", "pkgname"=>"kde4-style-polyester-2.0.0_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/gtkmathview", "pkgname"=>"gtkmathview-0.8.0_9", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/wxgtk30", "pkgname"=>"wx30-gtk2-3.0.2_4", "phase"=>"build", "errortype"=>"???"}

Failure logs:

http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/boinc-astropulse-6.01_11.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/gpsbabel-1.5.2_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/ardour-2.8.16_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/calf-0.0.60_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/ugene-1.22.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/zh-sunpinyin-2.0.4.r3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/svxlink-15.11.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/easystroke-0.6.0_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/plasma-applet-playwolf-0.8.1_6.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/apache-spark-1.6.1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/upp-9251_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/hte-2.1.0.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/kate-4.14.3_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/apache-openoffice-4.1.2_5.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/apache-openoffice-devel-4.2.1735889_1,4.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/chromium-bsu-0.9.15.1_4.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/trackballs-1.1.4_21.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/blender-2.76b_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/embree-2.7.0_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/inkscape-0.91_6.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/opencollada-1.2.2.20150519.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/ufraw-0.22_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/beignet-1.1.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/octave-4.0.0_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/bino-1.4.2_3.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/k9copy-2.3.4_14.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/kdenlive-0.9.10.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/mpeg4ip-1.6.1_33.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/subtitlecomposer-0.5.7_1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/vlc-2.2.1_8,4.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/vlc-qt4-2.2.1_8,4.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/kmess-2.0.6.2_11.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/libqtelegram-ae-6.1.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/mosh-1.2.5.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/opal-3.10.10_9.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/gchemutils-0.14.10.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/veusz-1.19.1_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/lucene++-3.0.7.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/webkit2-gtk3-2.8.5_2.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/kde4-style-polyester-2.0.0_9.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/gtkmathview-0.8.0_9.log
http://package18.nyi.freebsd.org/data/headi386PR208158-default/2016-05-02_20h35m21s/logs/errors/wx30-gtk2-3.0.2_4.log
Comment 49 Dimitry Andric freebsd_committer 2016-05-06 15:14:06 UTC
Submitted bug 209332 for audio/ardour.
Comment 50 Dimitry Andric freebsd_committer 2016-05-06 15:59:41 UTC
Submitted bug 209333 for audio/calf.
Comment 51 Dimitry Andric freebsd_committer 2016-05-07 16:26:17 UTC
Submitted bug 209366 for biology/ugene.
Comment 52 Dimitry Andric freebsd_committer 2016-05-07 20:27:48 UTC
Submitted bug 209369 for chinese/sunpinyin.
Comment 53 Dimitry Andric freebsd_committer 2016-05-07 23:30:09 UTC
Submitted bug 209372 for deskutils/easystroke.
Comment 54 Dimitry Andric freebsd_committer 2016-05-09 21:05:32 UTC
Submitted bug 209406 for deskutils/plasma-applet-playwolf.
Comment 55 Dimitry Andric freebsd_committer 2016-05-16 14:21:28 UTC
Submitted bug 209549 for devel/upp.
Comment 56 Dimitry Andric freebsd_committer 2016-05-16 21:24:21 UTC
Submitted bug 209561 for editors/kate.
Comment 57 Dimitry Andric freebsd_committer 2016-05-17 19:30:13 UTC
Submitted bug 209588 for editors/openoffice-4 and editors/openoffice-devel.
Comment 58 Dimitry Andric freebsd_committer 2016-05-17 21:12:56 UTC
Submitted bug 209590 for emulators/qemu-sbruno and emulators/qemu-user-static.
Comment 59 Dimitry Andric freebsd_committer 2016-05-17 21:25:10 UTC
Submitted bug 209591 for games/chromium-bsu.
Comment 60 Dimitry Andric freebsd_committer 2016-05-18 15:56:02 UTC
Submitted bug 209612 for games/trackballs.
Comment 61 Dimitry Andric freebsd_committer 2016-05-18 17:24:39 UTC
Submitted bug 209614 for graphics/blender.
Comment 62 Dimitry Andric freebsd_committer 2016-05-19 20:26:09 UTC
Submitted bug 209652 for graphics/embree.
Comment 63 Dimitry Andric freebsd_committer 2016-05-20 22:23:03 UTC
Submitted bug 209675 for graphics/inkscape.
Comment 64 Dimitry Andric freebsd_committer 2016-05-21 23:00:24 UTC
Submitted bug 209686 for www/webkit2-gtk3.
Comment 65 Dimitry Andric freebsd_committer 2016-05-22 09:38:16 UTC
Submitted bug 209692 for math/octave.
Comment 66 Dimitry Andric freebsd_committer 2016-05-22 11:47:18 UTC
Submitted bug 209694 for x11-toolkits/wxgtk30.
Comment 67 Dimitry Andric freebsd_committer 2016-05-23 20:10:52 UTC
Submitted bug 209722 for multimedia/vlc and multimedia/vlc-qt4 (unfortunately no good patch available yet).
Comment 68 Dimitry Andric freebsd_committer 2016-05-24 16:52:50 UTC
The math/matio error was already fixed in bug 209242.
Comment 69 Antoine Brodin freebsd_committer 2016-05-31 09:31:27 UTC
editors/libreoffice fails to build with libc++ 3.8.0

error log available at:

http://beefy4.nyi.freebsd.org/data/head-amd64-default/p415968_s300895/logs/errors/libreoffice-5.0.6.log
Comment 70 Dimitry Andric freebsd_committer 2016-06-01 06:57:10 UTC
Submitted bug 209921 for editors/libreoffice.
Comment 71 Oliver Heesakkers 2016-06-04 10:09:13 UTC
pkg-fallout alerted me to a problem with abs() in astro/gpsbabel.
There is a new version out for gpsbabel, I'll create a patch for the update and check with poudriere if the problem persists.
Comment 72 Jan Beich freebsd_committer 2016-11-30 08:35:11 UTC
Clang 3.8 landed base r296417. If any bustage affecting FreeBSD 11.0 remains pkg-fallout@ would notify maintainers.
Comment 73 Jan Beich freebsd_committer 2016-11-30 08:36:04 UTC
Err, libc++ landed later in base r300770.